> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Envoy visitors

> Get a list of visitors from Envoy to populate reporting logs



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/report/getEnvoyVisitors
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/report/getEnvoyVisitors:
    post:
      tags:
        - Integrations Webservice
        - Report Webservice
      summary: Get Envoy visitors
      description: Get a list of visitors from Envoy to populate reporting logs
      operationId: getEnvoyVisitors
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Integration_GetEnvoyVisitorsWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Integration_GetEnvoyVisitorsWSResponse'
          description: OK
components:
  schemas:
    Integration_GetEnvoyVisitorsWSRequest:
      type: object
      properties:
        endTimestampMs:
          type: integer
          format: int64
          nullable: true
        includeSignedOutVisitors:
          type: boolean
          nullable: true
        locationIds:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        startTimestampMs:
          type: integer
          format: int64
          nullable: true
    Integration_GetEnvoyVisitorsWSResponse:
      type: object
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        invites:
          type: array
          items:
            $ref: '#/components/schemas/EnvoyExpectedGuest'
          nullable: true
        visitors:
          type: array
          items:
            $ref: '#/components/schemas/EnvoyGuest'
          nullable: true
        warningMsg:
          type: string
          nullable: true
    EnvoyExpectedGuest:
      type: object
      properties:
        expectedArrivalAt:
          type: string
          nullable: true
        expectedArrivalTimestampMs:
          type: integer
          format: int64
          nullable: true
        host:
          $ref: '#/components/schemas/EnvoyPersonInfo'
        invitee:
          $ref: '#/components/schemas/EnvoyPersonInfo'
        locationId:
          type: string
          nullable: true
    EnvoyGuest:
      type: object
      properties:
        agreementsStatus:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        fullName:
          type: string
          nullable: true
        host:
          $ref: '#/components/schemas/EnvoyPersonInfo'
        locationId:
          type: string
          nullable: true
        notes:
          type: string
          nullable: true
        signedInAt:
          type: string
          nullable: true
        signedInTimestampMs:
          type: integer
          format: int64
          nullable: true
        signedOutAt:
          type: string
          nullable: true
        signedOutTimestampMs:
          type: integer
          format: int64
          nullable: true
    EnvoyPersonInfo:
      type: object
      properties:
        email:
          type: string
          nullable: true
        id:
          type: string
          nullable: true
        locationIds:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        locations:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        name:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````